/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */


getCookie = function(name) {
	const value = `; ${document.cookie}`;
	const parts = value.split(`; ${name}=`);
	if (parts.length === 2) return parts.pop().split(';').shift();
}

set_cookie = function(cookiename, cookievalue, hours) {
    var date = new Date();
    date.setTime(date.getTime() + Number(hours) * 3600 * 1000);
    document.cookie = cookiename + "=" + cookievalue + "; path=/;expires = " + date.toGMTString();
}


closeIntrList = function() {
	jQuery('.interest_list').hide();
}

addToIntrList = function(title) {
	//get cookie array
	var json_str = getCookie('user_interest');
	var arr = new Array();
	if( json_str ){
		arr = JSON.parse(json_str);
	}
	//console.log(arr);

	//check if title found in_array
	if( arr.indexOf(title) != -1 ) {
		//alert('Product Already In The List');
		return;
	}

	//save title to cookie
	if( arr.length >= 7){
		//remove the first item
		var item = arr[0];
		/*
		var class_item = '.'+item+'_tr';
		jQuery(class_item).hide('slow', function(){ jQuery(class_item).remove(); });
		*/
		arr.shift();
	}
	arr.push(title);
	json_str = JSON.stringify(arr);
	set_cookie('user_interest', json_str, 720);

	document.body.style.cursor = "wait";
	location.reload(); 	
}

goToFavList = function() {
	window.location.href = "/favorite-list";
}

emptyIntrList = function() {
	document.cookie = 'user_interest=; Max-Age=0; path=/';
	document.body.style.cursor = "wait";
	location.reload();
}

removeListItem = function(title) {
	//get cookie array
	var json_str = getCookie('user_interest');
	var arr = new Array();
	if( json_str ){
		arr = JSON.parse(json_str);
	}
	//console.log(arr);

	id = arr.indexOf(title);
	arr.splice(id,  1);
	//console.log(arr);
	json_str = JSON.stringify(arr);
	set_cookie('user_interest', json_str, 720);

	document.body.style.cursor = "wait";
	location.reload();
}
